Subject: bug#38529: Make --pure the default for `guix environment'?

From: Ludovic Courtès <[email-masked]>
Date: Fri, 06 Nov 2020 10:03:35 +0100

Hi!

Christopher Lemmer Webber <[email-masked]> skribis:

> It suddenly struck me today that there is an easy way to change the
> default behavior while supporting the legacy behavior.
>
> How about we have a new command, "guix env", what is --ad-hoc by
> default?  Then "guix environment" sticks around as legacy for supporting
> the old interface.  Therefore, "guix env" is doubly short and to the
> point.  :)

Last time we discussed it we reached (I think!) a consensus that the new
command would be called ‘guix shell’ and be ‘--ad-hoc’ by default.

I almost started working on it, and then got stuck wondering whether
‘--inputs-of’ should be implemented as a package transformation or not.

Ludo’.